SDL_TriggerBreakpoint(3)

NAME
SDL_TriggerBreakpoint - Attempt to tell an attached debugger to pause.

HEADER FILE
Defined in SDL3/SDL_assert.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_TriggerBreakpoint() TriggerABreakpointInAPlatformSpecificManner

DESCRIPTION
This allows an app to programmatically halt ("break") the debugger as if it had hit a breakpoint, allowing the developer to examine program state, etc. This is a macro--not a function--so that the debugger breaks on the source code line that used SDL_TriggerBreakpoint
 and not in some random guts of SDL. SDL_assert
 uses this macro for the same reason. If the program is not running under a debugger, SDL_TriggerBreakpoint
 will likely terminate the app, possibly without warning. If the current platform isn't supported (SDL doesn't know how to trigger a breakpoint), this macro does nothing.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This macro is available since SDL 3.0.0.